package com.xjrsoft.module.oa.service.impl;

import com.xjrsoft.module.oa.dto.ChangeNewsDto;
import com.xjrsoft.module.oa.service.INewsService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

/**
 * @description：TODO
 * @author： phoenix
 * @create： 2024/1/18 10:11
 * @Version 1.0
 */
@SpringBootTest
class NewsServiceImplTest {

    @Autowired
    private INewsService newsService;

    @Test
    void changeStatus() {
        newsService.changeStatus(new ChangeNewsDto(){{
            setId(1747799025202032641L);
            setStatus(2);
        }});
    }

    @Test
    void dataHandle() {
        newsService.dataHandle(1747971884062928896L);
    }
}